import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppRoutingModule } from "./app-routing.module";
import { NgxElectronModule } from "ngx-electron";
import { AppComponent } from "./app.component";
import { TitleBarComponent } from "./title-bar/title-bar.component";
import { AppMenuComponent } from "./app-menu/app-menu.component";
import { HomeComponent } from './home/home.component';
import { AboutComponent } from './about/about.component';

@NgModule({
  declarations: [
    AppComponent,
    TitleBarComponent,
    AppMenuComponent,
    HomeComponent,
    AboutComponent
  ],
  imports: [
    BrowserModule, 
    AppRoutingModule, 
    NgxElectronModule
  ],
  providers: [],
  bootstrap: [
    AppComponent
  ]
})
export class AppModule {}
